Name:           sugar-maze
Version:        24
Release:        1%{?dist}
Summary:        Maze for Sugar

Group:          Sugar/Activities
License:        GPLv3+
URL:            http://wiki.laptop.org/go/Maze
Source0:        http://activities.sugarlabs.org/sugar/downloads/file/25982/maze-%{version}.xo
BuildArch:      noarch

BuildRequires:  gettext
BuildRequires:  python
BuildRequires:  sugar-toolkit

Requires:       sugar
Requires:       python-olpcgames

%description
A simple maze game for the XO laptop. You can play by yourself or race
to solve it with your buddies. Up to 3 people can play on a single XO
laptop and lots more can play when shared over the network.

%prep
%setup -q -n Maze.activity
# remove olpcgames library
rm -rf olpcgames

%build
%{__python} setup.py build

%install
%{__python} setup.py install --prefix=%{buildroot}/%{_prefix}
find  %{buildroot}%{sugaractivitydir}Maze.activity/activity.py  -type f -name \* -exec chmod 644 {} \;
mv player.py %{buildroot}%{sugaractivitydir}/Maze.activity/player.py

%find_lang vu.lux.olpc.Maze

%files -f vu.lux.olpc.Maze.lang
%defattr(-,root,root,-)
%doc COPYING
%{sugaractivitydir}/Maze.activity/

%changelog
* Thu Jun 18 2013 Kalpa Welivitigoda <callkalpa@gmail.com> -24-1
- Release 24

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Nov 21 2012 Kalpa Welivitigoda - 22-1
- Release 22

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 21-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 01 2012 Kalpa Welivitigoda <callkalpa@gmail.com> - 21-1
- Release 21

* Thu May 10 2012 Kalpa Welivitigoda <callkalpa@gmail.com> - 20-1
- Release 20

* Tue Apr 17 2012 Kalpa Welivitigoda <callkalpa@gmail.com> - 18-1
- Release 18

* Fri Apr 13 2012 Kalpa Welivitigoda <callkalpa@gmail.com> - 17-1
- Release 17

* Thu Mar 29 2012 Kalpa Welivitigoda <callkalpa@gmail.com> - 16-1
- Release 16

* Sun Jan 22 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 15-1
- Release 15

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Oct  2 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 14-1
- Release 14

* Mon Sep 19 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 13-1
- Release 13

* Wed Jun  8 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 11-1
- Release 11

* Wed Jun  8 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 10-1
- Release 10

* Sun Apr  3 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 9-1
- Release 9

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 6-3
- recompiling .py files against Python 2.7 (rhbz#623379)

* Sun Jun 27 2010 Fabian Affolter <fabian@bernewireless.net> - 6-2
- Fixed BZ #604800

* Thu Mar 18 2010 Sebastian Dziallas <sebastian@when.com> - 6-1
- use xo source file to fix load issue

* Sun Dec 27 2008 Fabian Affolter <fabian@bernewireless.net> - 0-0.4.20091227
- Python-olpcgames is needed (Replace pygame)
- Changed numbering system

* Wed Nov 26 2008 Fabian Affolter <fabian@bernewireless.net> - 0-0.3
- Added Requires: pygame

* Wed Nov 19 2008 Fabian Affolter <fabian@bernewireless.net> - 0-0.2
- Spec file clean-up

* Sun Oct 19 2008 Fabian Affolter <fabian@bernewireless.net> - 0-0.1
- Initial package for Fedora
